<? $this->headLink()->appendStylesheet(_st('private/photos.css')) ?>
<? $this->headTitle($this->t('my_photos'), 'PREPEND') ?>

<style type="text/css">
    .wrapper {
        overflow: hidden;
        width: 100%;
        height: 100%;
        position: relative
    }

    .wrapper img {
        position: absolute;
        cursor: move;
        left: 0;
        top: 0;
        z-index: 1
    }

    .wrapper .actions {
        position: absolute;
        right: 3px;
        bottom: 3px;
        z-index: 2
    }

    .wrapper span {
        display: block;
        float: left;
        padding: 0px;
        cursor: pointer;
        width: 19px;
        height: 19px;
        margin-left: 10px
    }

    .wrapper span.check {
        background: #ff3300;
        border: 1px solid #e60000
    }

    .wrapper span.move {
        background: #fff url('<?= _st('_/icon_move-tiny.gif') ?>') no-repeat 50% 50%;
        border: 1px solid #cccccc
    }

    .photos li {
        position: relative;
        overflow: visible
    }

    .list {
        list-style: none;
        margin: 0px auto;
        padding: 0px;
        width: 100%;
    }

    .list li {
        float: left;
        border: 1px solid #eee;
        margin: 4px 4px;
        text-align: left !important;
        width: 47%;
        height: 160px;
        padding: 3px;
    }

    .list li.main {
        background: green;
        padding: 3px;
    }

    .list li.cover {
        background: #43b6e4;
        padding: 3px;
    }

    .list li.file .file-name {
        float: left;
        font-size: 12px;
        font-weight: bold;
    }

    .list li.file .file-size {
        float: right;
    }

    .list li.file .file-remove {
        float: right;
        margin-left: 6px;
    }

    .list li.file-failed .file-info {
        color: red;
        margin-top: 2px;
    }

    .list li.file-failed .file-name {
        float: left;
        font-size: 12px;
        font-weight: bold;
    }

    .list li.file-failed .file-size {
        float: right;
    }

    .list li.file-failed .file-remove {
        float: right;
        margin-left: 6px;
    }

    .list li.file-failed .file-info {
        color: red;
        margin-top: 2px;
    }
    .files {
    }

    .files input {
        margin: 5px 0;
    }

    .files span.err {
        color: red;
        padding-left: 10px;
    }

    .files .file input {
        float: left;
        padding: 3px;
    }

    .files .file a.btn-add {
        float: left;
        display: block;
        height: 16px;
        width: 16px;
        margin-left: 5px;
        background: url('/img/add.png') no-repeat top left;
        margin-top: 10px;
    }

    .files .file a.btn-delete {
        float: left;
        display: block;
        height: 16px;
        width: 16px;
        margin-left: 5px;
        background: url('/img/delete.png') no-repeat top left;
        margin-top: 10px;
    }

    .files .upload-photo-text {
        float: left;
        line-height: 33px;
        padding-left: 15px
    }

    .err-list {
        margin-top: 10px;
        font-size: 15px;
        background: #fee;
        border: 1px solid #edd;
        padding: 6px 10px;
        line-height: 26px
    }

    .err-list.action {
        margin-left: 4px;
        margin-bottom: 5px
    }

    .err-title {
        font-weight: bold;
        padding-left: 20px;
        background: url('/img/internal/icon_error.png') no-repeat 0 50%;
    }

    .hidden {
        visibility: hidden;
    }
    .scale15{
        transform: scale(1.5,1.5);
    }
</style>

<? if (isset($this->newPhoto)) $this->newPhoto = $this->newPhoto->getData() + array('id' => $this->newPhoto->id);
$public_count = $private_count = 0;
$photos = isset($this->newPhoto) ? array_merge($this->photos, array($this->newPhoto)) : $this->photos;
foreach ($photos as $i => $photo) {
    if ($photo['type'] == 3) $private_count++; else $public_count++;
} ?>




<?php $is_suspicous_deleted = $this->escort->is_suspicious;?>
<input type="hidden" id="is_private" name="is_private" value="0"/>
<div class="gray-box form" id="mobile-photos">
    <div class="c-body">
        <p class="step-lab"> <?= __('step')?> 7/7 </p>
        <div class="c-title"><?= __('pv2_section_photos') ?></div>

        <? if ($this->is_message): ?>
            <h2 class="saved"><?= __('pv2_profile_was_saved') ?></h2>
        <? endif; ?>

        <input type="hidden" name="session_hash" value="<?= $this->session_hash ?>"/>

        <div class="msg-box"><?= __('pv2_text_photo_regulations') ?></div>

        <div class="body" id="photos">
            <div class="section">

                <div class="c-title"><?= __('pv2_title_public_photos', array('SHOWNAME' => $this->escort->showname)) ?></div>

                <div class="container">

                    <div class="photos public">

                        <? if (!$this->is_private && (isset($this->uploadError) || count($this->uploadErrors))): ?>
                            <div class="err-list">
                                <div class="err-title"><?= __('sys_error_upload_img_occured') ?></div>
                                <? if (isset($this->uploadError) && !$this->is_private): ?>
                                    <div class="up-error"><?= $this->uploadError ?></div><? endif; ?>
                                <? if (count($this->uploadErrors) && !$this->is_private): ?>
                                    <? foreach ($this->uploadErrors as $error): ?>
                                        <div class="up-error"><?= $error ?></div>
                                    <? endforeach; ?>
                                <? endif; ?>
                            </div>
                        <? endif; ?>
                        <div class="files">
                            <div class="file">
                                <input type="file" name="public_uphoto_1" id="upload_input" class="hidden"/>
                            </div>
                            <button class="hidden" type="submit" id="upload_public" name="upload" value="upload"><img src="<?= _st('fr_btn_upload.gif') ?>" alt="Set Main" /></button>
                            <?php if(count($this->photos ) > 0): ?>
                                <button class="fr delete-button" type="submit" name="delete" value="delete">
                                    <?= __('delete')?>
                                </button>
                            <?php endif;?>
                            <div class="clear"></div>

                        </div>

                        <div>
                            <ul class="list">
                                <? foreach ($this->photos as $photo): if ($photo['type'] == 3) continue;
                                    $photo = new Model_Escort_PhotoItem($photo) ?>
                                    <li>
                                        <div class="wrapper" cubix:photo-id="<?= $photo->getId() ?>"
                                             cubix:initial="<?= $photo->args ? htmlentities(json_encode(unserialize($photo->args))) : '' ?>">
                                            <img alt="" src="<?= $photo->getUrl('thumb_cropper', true) ?>"/>

                                            <div class="actions">
                                                <span class="chStyle">
                                                    <input id="photo-<?=$photo->id?>" type="checkbox" name="photo_id[]" value="<?= $photo->id ?>" class="scale15"/>
                                                    <label for="photo-<?=$photo->id?>"></label>
                                                </span>
                                            </div>
                                        </div>
                                    </li>
                                <? endforeach; ?>

                                <?php for ($i = (6 - count($this->photos)); 0 < $i; $i--): ?>
                                    <li class="add-photo">
                                        <div class="wrapper">
                                            <img class="hide upload_photo" height="190" alt=""
                                                 src="/img/steps/add_photo.png"/>
                                        </div>
                                    </li>
                                <?php endfor; ?>

                            </ul>
                            <div class="clear"></div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <div id="saveWrapper" class="pd16">
        <input type="button" id="finish_button" class="border-radius" value="<?= __('finish') ?>"/>
    </div>
</div>

<script type="text/javascript">


    $(document).ready(function () {

        $('.upload_photo').click(function () {
            $('#upload_input').click();
        });

        $('#upload_input').change(function () {
            $('#upload_public').click();
        });


        $('#upload_public').click(function () {
            $('#is_private').attr('value', 0);
        });

        $('form').submit(function () {
            MCubix.OverlayV2.init(true);
        });

        $('#finish_button').click(function (e) {
            var photo_count = $('input[name^="photo_id"]').length;

            if(photo_count < 3){
                e.preventDefault();
                alert("<?= __('upload_3_public_photos')?>");
                return false;
            }

            MCubix.OverlayV2.init(true);
            window.location.href = "/private-v2/profile/finish-step?escort=<?= $this->escort->id?>"
        });

        <? foreach ($this->uploadErrors as $error): ?>
            MCubix.Errors.show("<?= addslashes($error) ?>", true);
        <?php endforeach;?>
    });

</script>